%bcond_with bootstrap

Name:           plexus-sec-dispatcher
Version:        2.0
Release:        %mkrel 4
Group:          Development/Java
Summary:        Plexus Security Dispatcher Component
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-sec-dispatcher
BuildArch:      noarch

Source0:        %{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  %{?module_prefix}mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  %{?module_prefix}mvn(org.sonatype.plexus:plexus-cipher)
%endif

%description
Plexus Security Dispatcher Component

%{?module_package}
%{?javadoc_package}

%prep
%autosetup -n %{name}-%{name}-%{version}

cp %{SOURCE1} .

%pom_remove_parent

%pom_xpath_inject 'pom:project' '<groupId>org.codehaus.plexus</groupId>'

%mvn_file : plexus/%{name}

%mvn_alias org.codehaus.plexus: org.sonatype.plexus:

%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8

%install
%mvn_install

%files -n %{?module_prefix}%{name} -f .mfiles
%license LICENSE-2.0.txt


%changelog
* Fri May 24 2024 ns80 <ns80> 2.0-4.mga10
+ Revision: 2067414
- rebuild without bootstrap

* Fri May 24 2024 ns80 <ns80> 2.0-3.mga10
+ Revision: 2067413
- bootstrap build
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 2.0-2.mga9
+ Revision: 1871437
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 2.0-1.mga9
+ Revision: 1870926
- New version 2.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Aug 21 2020 neoclust <neoclust> 1.4-25.mga8
+ Revision: 1617589
- Rebuild against java11

* Wed Feb 12 2020 umeabot <umeabot> 1.4-24.mga8
+ Revision: 1499271
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4-23.mga7
+ Revision: 1274448
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 1.4-21.mga6
+ Revision: 977791
- First rebuild of the java stack
- sync package plexus-sec-dispatcher with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Jan 17 2015 daviddavid <daviddavid> 1.4-17.mga5
+ Revision: 811077
- Sync with fc22 (fix plexus directory)
- clean rebuild

* Thu Jan 15 2015 daviddavid <daviddavid> 1.4-16.mga5
+ Revision: 810802
- build with xmvn
- use .mfiles generated during build

* Wed Oct 15 2014 umeabot <umeabot> 1.4-15.mga5
+ Revision: 749913
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Sun Sep 29 2013 dmorgan <dmorgan> 1.4-11.mga4
+ Revision: 488862
- Fix BR
- Remove unneeded BR: plexus-container-default
- Remove unneeded R: spice-parent, resolves: rhbz#908584

* Sun Jan 13 2013 umeabot <umeabot> 1.4-8.mga3
+ Revision: 377917
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 11 2012 dmorgan <dmorgan> 1.4-7.mga3
+ Revision: 292261
- Replace plexus-maven-plugin with plexus-component-metadata

* Tue Jan 03 2012 gil <gil> 1.4-6.mga2
+ Revision: 189824
- replaced plexus-maven-plugin with plexus-component-metadata
+ dmorgan <dmorgan>
- Add spice-parent to Requires
    - Fixes according to new guidelines
    - Versionless jars & javadocs
    - Use maven3 to build

* Thu Apr 28 2011 dmorgan <dmorgan> 1.4-4.mga1
+ Revision: 93031
- Rebuild after bootstrapping
- imported package plexus-sec-dispatcher


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 04 2010 Hui Wang <huwang@redhat.com> - 1.4-2
- Fixed url

* Fri May 21 2010 Hui Wang <huwang@redhat.com> - 1.4-1
- Initial version of the package
